New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

ruby 2.6 support #1842

Closed
flavorjones opened this Issue Dec 14, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@flavorjones
Copy link
Member

flavorjones commented Dec 14, 2018

Placeholder story to cut a release supporting Ruby 2.6.

Some prior tickets to look at to make sure we're doing everything right:

We'll need to:

See also #1841 which discusses removing 2.2. To avoid having an overly-fat binary Windows gem, let's considering doing both in one fell swoop.

@flavorjones flavorjones added this to the v1.10.0 milestone Dec 14, 2018

@larskanis

This comment has been minimized.

Copy link
Member

larskanis commented Dec 16, 2018

I just prepared rake-compiler-dock for ruby-2.6 rake-compiler/rake-compiler-dock@560dbf2 and will ship rake-compiler-dock-0.6.4 (or 0.7.0 - not sure currently) with the final ruby-2.6.0 build on Christmas. Similar plan to release RubyInstaller-2.6.0 promptly. Subsequently I'll open a PR for the Windows build of Nokogiri. Would be great if you @flavorjones can make a release afterwards, so that the gap isn't too long. Is that OK?

@flavorjones

This comment has been minimized.

Copy link
Member

flavorjones commented Dec 16, 2018

@larskanis That sounds great, planning to cut v1.10.0 as soon as possible after ruby 2.6 final is out. Thank you!

@flavorjones

This comment has been minimized.

Copy link
Member

flavorjones commented Dec 28, 2018

Reopening

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment